Package org.opensaml.saml.saml1.core

# Enum Class DecisionTypeEnumeration

java.lang.Object
java.lang.Enum<DecisionTypeEnumeration>
org.opensaml.saml.saml1.core.DecisionTypeEnumeration

All Implemented Interfaces:
  `Serializable`, `Comparable<DecisionTypeEnumeration>`, `Constable`

public enum DecisionTypeEnumeration extends Enum<DecisionTypeEnumeration>
A type safe enumeration of `AuthorizationDecisionStatement` decision types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DENY`
Deny decision type.
`INDETERMINATE`
Indeterminate decision type.
`PERMIT`
Permit decision type.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`decisionType`
The decision type string.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DecisionTypeEnumeration(String newDecisionType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static DecisionTypeEnumeration`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DecisionTypeEnumeration[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PERMIT

public static final DecisionTypeEnumeration PERMIT
Permit decision type.

### DENY

public static final DecisionTypeEnumeration DENY
Deny decision type.

### INDETERMINATE

public static final DecisionTypeEnumeration INDETERMINATE
Indeterminate decision type.

## Field Details

### decisionType

@Nonnull @NotEmpty private String decisionType
The decision type string.

## Constructor Details

### DecisionTypeEnumeration

private DecisionTypeEnumeration(@Nonnull @NotEmpty String newDecisionType)
Constructor.

Parameters:
  `newDecisionType` - the decision type string

## Method Details

### values

public static DecisionTypeEnumeration[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DecisionTypeEnumeration valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<DecisionTypeEnumeration>`